Bug 91605 - (ISDN)ISDN Bandwidth On Demand on AVM PCI (Fritz!PCI v2), HL driver queue full
(ISDN)ISDN Bandwidth On Demand on AVM PCI (Fritz!PCI v2), HL driver queue full
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Miller
:
Depends On:
Blocks: 114784
  Show dependency treegraph
 
Reported: 2003-05-25 15:21 EDT by Uwe Beck
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:36:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Uwe Beck 2003-05-25 15:21:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.08 [en] (X11; I; AIX 4.3)

Description of problem:
Before kernel-2.4.20-13.9 there was a kernel crash if the second ISDN B-cannel
was connected. Since the kernel-2.4.20-13.9 some ISDN-cards works correct e.g.
Teles 16.3 ISA.
There are problems with the AVM PCI (Fritz!PCI v2) ISDN-card.

Typical for the first times if the second cannal is active:
  - up to 35 secunds no data flows on the ISDN connection

/var/spool/messages

May 18 22:37:49 pclin02 kernel: ippp1: dialing 1 xxxxxxxxxx...
May 18 22:37:54 pclin02 kernel: ippp1: hangup waiting for callback ...
May 18 22:38:02 pclin02 kernel: isdn_net: ippp1 connected
May 18 22:38:20 pclin02 kernel: isdn_net: local hangup ippp1
May 18 22:38:20 pclin02 kernel: ippp1: Chargesum is 0
May 18 22:38:37 pclin02 kernel: NETDEV WATCHDOG: ippp0: transmit timed out
May 18 22:38:37 pclin02 kernel: isdn_tx_timeout dev ippp0 dialstate 0

After the "ippp0: transmit timed out" data flows on the first cannel.

Later:
If the second cannel is active there are no increase of the transferrate

/var/log/messages

May 18 23:14:00 pclin02 ipppd[8957]: reinit_unit: 1
May 18 23:14:00 pclin02 ipppd[8957]: Connect[1]: /dev/ippp1, fd: 8
May 18 23:14:03 pclin02 kernel: isdn_net: ippp1 connected
May 18 23:14:03 pclin02 ipppd[8957]: Local number: xxxxxx, Remote number: , Type
: incoming
May 18 23:14:03 pclin02 ipppd[8957]: PHASE_WAIT -> PHASE_ESTABLISHED, ifunit: 1,
 linkunit: 1, fd: 8
May 18 23:14:03 pclin02 kernel: ippp1: HL driver queue full
May 18 23:14:03 pclin02 ibod[8370]: removed link
May 18 23:14:03 pclin02 kernel: isdn_net: local hangup ippp1
May 18 23:14:03 pclin02 kernel: ippp1: Chargesum is 0
May 18 23:14:03 pclin02 ipppd[8957]: Modem hangup
May 18 23:14:03 pclin02 ipppd[8957]: Connection terminated.
May 18 23:14:03 pclin02 ipppd[8957]: taking down PHASE_DEAD link 1, linkunit: 1
May 18 23:14:03 pclin02 ipppd[8957]: closing fd 8 from unit 1
May 18 23:14:03 pclin02 ipppd[8957]: link 1 closed , linkunit: 1
May 18 23:14:03 pclin02 ipppd[8957]: reinit_unit: 1

--> kernel: ippp1: HL driver queue full

The ibod works correct but not the ippp1.


Version-Release number of selected component (if applicable):
kernel-2.4.20-13.9

How reproducible:
Always

Steps to Reproduce:
1. Configure the AVM PCI (Fritz!PCI v2).
2. Create a provider with static IP and callback.
    Callback is not a absolute requirement.
3. Use a program in graphic modus remote such "up2date" over a ssh or telnet
session.
 
   
Additional info:
Comment 1 Steffen Mann 2004-03-02 05:03:13 EST
Arjan, apparently this is also an issue in current RHEL versions
Comment 3 RHEL Product and Program Management 2007-10-19 15:36:05 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.